#
# spec file for package libvpx (Version 0.9.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libvpx
Version:        0.9.5
Release:        8.1
License:        BSD3c ; GPLv2+
Summary:        VP8 codec library
Url:            http://www.webmproject.org/
Group:          Productivity/Multimedia/Other
Source0:        %{name}-v%{version}.tar.bz2
# PATCH-FIX-UPSTREAM libvpx-define-config_pic.patch dimstar@opensuse.org -- For older compilers, CONFIG_PIC need to be defined.
Patch0:         libvpx-define-config_pic.patch
# PATCH-FIX-UPSTREAM libvpx-bnc765055.patch sreeves@suse.com -- pull git commit 9fb80f7170ec from upstream to fix-the-fix of 09bcc1f71
Patch1:         libvpx-bnc765055.patch
BuildRequires:  yasm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WebM is an open, royalty-free, media file format designed for the web.

WebM defines the file container structure, video and audio formats.
WebM files consist of video streams compressed with the VP8 video codec
and audio streams compressed with the Vorbis audio codec.
The WebM file structure is based on the Matroska container.

%package -n vpx-tools
License:        BSD3c ; GPLv2+
Summary:        VP8 codec library - Utilities
Group:          Productivity/Multimedia/Other

%description -n vpx-tools
This package contains utilities around the vp8 codec sdk.

WebM is an open, royalty-free, media file format designed for the web.

WebM defines the file container structure, video and audio formats.
WebM files consist of video streams compressed with the VP8 video codec
and audio streams compressed with the Vorbis audio codec.
The WebM file structure is based on the Matroska container.

%package -n %{name}0


License:        BSD3c
Summary:        VP8 codec library
Group:          System/Libraries

%description -n %{name}0
WebM is an open, royalty-free, media file format designed for the web.

WebM defines the file container structure, video and audio formats.
WebM files consist of video streams compressed with the VP8 video codec
and audio streams compressed with the Vorbis audio codec.
The WebM file structure is based on the Matroska container.

%package devel
License:        BSD3c ; GPLv2+
Summary:        VP8 codec library - Development headers
Group:          Development/Languages/C and C++
Requires:       %{name}0 = %{version}

%description devel
Development headers and library

WebM is an open, royalty-free, media file format designed for the web.

WebM defines the file container structure, video and audio formats.
WebM files consist of video streams compressed with the VP8 video codec
and audio streams compressed with the Vorbis audio codec.
The WebM file structure is based on the Matroska container.

%prep
%setup -q -n %name-v%version
%patch0 -p1
%patch1 -p1

%build
cd build
export CFLAGS="%{optflags}"
# It is only an emulation of autotools configure; the macro does not work
../configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --enable-debug \
    --enable-shared \
    --enable-pic 
make %{?_smp_mflags}

%install
cd build
%makeinstall
# Remove static library
rm %{buildroot}%{_libdir}/libvpx.a

%clean
rm -rf %{buildroot}

%post -n %{name}0 -p /sbin/ldconfig

%postun -n %{name}0 -p /sbin/ldconfig

%files -n vpx-tools
%defattr(-,root,root)
%{_bindir}/*

%files -n %{name}0
%defattr(-, root, root)
%doc LICENSE AUTHORS README CHANGELOG
%{_libdir}/libvpx.so.0*

%files devel
%defattr(-,root,root)
%doc vp8_api1_migration.txt
%{_includedir}/vpx/
%{_libdir}/libvpx.so

%changelog
* Thu Jun  7 2012 sreeves@suse.com
- Add libvpx-bnc765055.patch. Fix out-of-bounds read. CVE-2010-4489
* Wed Dec  1 2010 adrian@suse.de
- update to version 0.9.5, find details in CHANGES file
  + reworked command line utils
  + lib has general big speed and quality improvements
  + hardware acceleration via MMX and SSE is supported if available
  + bugfixes
* Mon Sep 13 2010 vuntz@opensuse.org
- Fix license tags: libvpx0 has no GPLv2+ code and should be BSD3c
  only. Update the other tags to mention BSD3c instead of
  "BSD-style license", which is something license.opensuse.org
  doesn't know.
* Tue Aug 24 2010 dimstar@opensuse.org
- Update to version 0.9.1:
  + Enhancements:
  - ivfenc/ivfdec now support YUV4MPEG2 input and pipe I/O
  - Speed optimizations
  + Bugfixes:
  - Rate control
  - Prevent out-of-bounds accesses on invalid data
  + Build system updates:
  - Detect toolchain to be used automatically for native builds
  - Support building shared libraries
  - Better autotools emulation (--prefix, --libdir, DESTDIR)
- Pass --enable-pic, enable-shared & --enable-debug to configure
- Split out libvpx0 according SLPP.
- Drop upstream.diff (merged)
- Rename buildfix.diff to libvpx-define-config_pic.patch and tag
  the patch line.
- clean spec-file (spec-cleaner).
* Fri Jun  4 2010 tittiatcoke@gmail.com
- Initial package
  * based on the latest svn snapshot
  * Included patch to fix build for openSUSE <= 11.2
